Bug 20995 - Add request ID to OPAC ILL requests display table
Summary: Add request ID to OPAC ILL requests display table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: ILL (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Isherwood
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 20797
Blocks: 18591
  Show dependency treegraph
 
Reported: 2018-06-26 10:33 UTC by Andrew Isherwood
Modified: 2019-10-14 19:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20995: Add Request ID to table and request view (2.56 KB, patch)
2018-06-26 10:39 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20995: Add Request ID to table and request view (2.59 KB, patch)
2018-09-27 12:31 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 20995: Add Request ID to table and request view (3.41 KB, patch)
2018-10-05 11:28 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20995: Add Request ID to table and request view (3.46 KB, patch)
2018-10-05 12:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge (2.55 KB, patch)
2018-10-05 12:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20995: Add Request ID to table and request view (4.08 KB, patch)
2018-10-05 12:52 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge (2.98 KB, patch)
2018-10-05 12:53 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20995: Add Request ID to table and request view (4.08 KB, patch)
2018-10-05 12:59 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge (2.98 KB, patch)
2018-10-05 12:59 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 20995: Add Request ID to table and request view (2.80 KB, patch)
2018-10-17 14:51 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Isherwood 2018-06-26 10:33:37 UTC
Currently when an OPAC user is viewing the table of their ILL requests, they do not see the request ID. This is commonly used for referring to requests, so we should add it to this view and the individual request view.
Comment 1 Andrew Isherwood 2018-06-26 10:39:47 UTC Comment hidden (obsolete)
Comment 2 PTFS Europe Sandboxes 2018-09-27 12:31:32 UTC
Created attachment 79490 [details] [review]
Bug 20995: Add Request ID to table and request view

This patch adds the display of Request ID to the OPAC views of all a
user's requests and the individual request.

To test:

1) Ensure you have ILL enabled
2) Log into the OPAC as a user with at least one request
3) Go to the "your interlibrary loan requests" page
4) TEST: Ensure that Request ID is displayed as the first column in the
table
5) Click the "View" button on a request
6) TEST: Ensure that Request ID is displayed along with all the other
request information

Signed-off-by: mmg@interleaf.ie
Comment 3 Andrew Isherwood 2018-10-05 11:28:59 UTC
Created attachment 80050 [details] [review]
Bug 20995: Add Request ID to table and request view

This patch adds the display of Request ID to the OPAC views of all a
user's requests and the individual request.

To test:

1) Ensure you have ILL enabled
2) Log into the OPAC as a user with at least one request
3) Go to the "your interlibrary loan requests" page
4) TEST: Ensure that Request ID is displayed as the first column in the
table
5) Click the "View" button on a request
6) TEST: Ensure that Request ID is displayed along with all the other
request information

Signed-off-by: mmg@interleaf.ie
Comment 4 Katrin Fischer 2018-10-05 12:27:11 UTC
Created attachment 80058 [details] [review]
Bug 20995: Add Request ID to table and request view

This patch adds the display of Request ID to the OPAC views of all a
user's requests and the individual request.

To test:

1) Ensure you have ILL enabled
2) Log into the OPAC as a user with at least one request
3) Go to the "your interlibrary loan requests" page
4) TEST: Ensure that Request ID is displayed as the first column in the
table
5) Click the "View" button on a request
6) TEST: Ensure that Request ID is displayed along with all the other
request information

Signed-off-by: mmg@interleaf.ie

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 5 Katrin Fischer 2018-10-05 12:27:15 UTC
Created attachment 80059 [details] [review]
Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 6 Andrew Isherwood 2018-10-05 12:52:56 UTC
Created attachment 80069 [details] [review]
Bug 20995: Add Request ID to table and request view

This patch adds the display of Request ID to the OPAC views of all a
user's requests and the individual request.

To test:

1) Ensure you have ILL enabled
2) Log into the OPAC as a user with at least one request
3) Go to the "your interlibrary loan requests" page
4) TEST: Ensure that Request ID is displayed as the first column in the
table
5) Click the "View" button on a request
6) TEST: Ensure that Request ID is displayed along with all the other
request information

Signed-off-by: mmg@interleaf.ie

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 7 Andrew Isherwood 2018-10-05 12:53:00 UTC
Created attachment 80070 [details] [review]
Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 8 Andrew Isherwood 2018-10-05 12:59:13 UTC
Created attachment 80074 [details] [review]
Bug 20995: Add Request ID to table and request view

This patch adds the display of Request ID to the OPAC views of all a
user's requests and the individual request.

To test:

1) Ensure you have ILL enabled
2) Log into the OPAC as a user with at least one request
3) Go to the "your interlibrary loan requests" page
4) TEST: Ensure that Request ID is displayed as the first column in the
table
5) Click the "View" button on a request
6) TEST: Ensure that Request ID is displayed along with all the other
request information

Signed-off-by: mmg@interleaf.ie

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 9 Andrew Isherwood 2018-10-05 12:59:18 UTC
Created attachment 80075 [details] [review]
Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 10 Katrin Fischer 2018-10-05 14:40:52 UTC Comment hidden (obsolete)
Comment 11 Katrin Fischer 2018-10-05 14:41:00 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2018-10-05 14:43:06 UTC Comment hidden (obsolete)
Comment 13 Nick Clemens 2018-10-17 14:51:14 UTC
Created attachment 80727 [details] [review]
Bug 20995: Add Request ID to table and request view

Squashed for readability

This patch adds the display of Request ID to the OPAC views of all a
user's requests and the individual request.

To test:

1) Ensure you have ILL enabled
2) Log into the OPAC as a user with at least one request
3) Go to the "your interlibrary loan requests" page
4) TEST: Ensure that Request ID is displayed as the first column in the
table
5) Click the "View" button on a request
6) TEST: Ensure that Request ID is displayed along with all the other
request information

Signed-off-by: mmg@interleaf.ie

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>

Bug 20995: (QA follow-up) Add html filters and fix doubled up columns from merge

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 14 Nick Clemens 2018-10-17 19:22:35 UTC
Awesome work all!

Pushed to master for 18.11
Comment 15 Martin Renvoize 2018-10-26 13:20:44 UTC
The enhancement will not be backported to 18.05.x series.